PDA

Ver la Versión Completa : Compilar apache en cPanel



chrimasa
14/04/2008, 18:39
Hola me estoy volviendo loco a la hora de compilar Apache con el WHM/cPanel, no se porque me da un par de errores que no esperaba.

El caso es que igual suena algo egoísta, pero necesito tener una buena compilzación (el técnico que se encargaba nos abandono recien alquilados los equipos) para el martes.

Veo en el WHM, que hay una opcion de CARGAR UN PERFIL de compilación de Apache, o desde una URL o subiendo un archivo.

Alguien podría dejarme un enlace o archivo de un perfil bien compilado?

Os lo agradecería enternamente. UN saludo

MarcosBL
14/04/2008, 19:42
No he usado jamás cPanel, asi que desde mi ignorancia: A mi un "perfil de compilación" me suena a una serie de "switches" que pasarle a la linea de comandos para que compile Apache con soporte para X modulos y X no, por ejemplo. No sé si eso se puede simplemente "bajar" y listo.

Quizá me equivoco, pero lo suyo seria que lo compilases en tu máquina, donde va a correr, si nos dices cuales son ese par de errores, seguro que alguien por aqui puede ayudarte.

chrimasa
14/04/2008, 20:08
A ver en realidad, tu para compialr a través de WHM... seleccionas una serie de opciones que quieres que se instalen, modulos o no, todo eso...

El caso es que yo no tengo ni idea y como no es plan de nombrar todos los modulos, este si, este no, este si etc por eso pedia esa especie de "perfil" que utiliza WHM para cuando por ejemplo reinstalas el servidor que no tengas que volver a hacer todo sino solo sea cargar la configuracion y listo.

Un saludo

chrimasa
14/04/2008, 21:35
O mirar, a ver si me podéis ayudar diciéndome que cogeríais de todo esto que no. Que instalaríais y que no.

¿Que apache instalaríais? 1.3 / 2.0 / 2.2

¿Que php? 4 / 5 / 4 y 5

¿De toda la lista que módulos instalaríais?

Asis
Auth Anon
Auth DBM
AuthDigest
Auth LDAP
Bucketeer
Cache
CaseFilter
CaseFilterIn
Cern Meta
Charset Lite
DAVFs
Dav
Deflate
Disk Cache
Dumpio
Echo
Env
Expires
ExtFilter
Mod FCGID
fastcgi support
File Cache
Fileprotect
Frontpage
Headers
Imagemap
LDAP
Log Forensic
MPM Event
MPM Leader [More Info ↑]
MPM Perchild [More Info ↑]
MPM Prefork [More Info ↑]
MPM Threadpool [More Info ↑]
MPM Worker [More Info ↑]
MemCache [More Info ↑]
Mime Magic [More Info ↑]
Optional Fn Export
Optional Fn Import
OptionalHookExport
Optional Hook Import
Mod SuPHP [More Info ↑]
Proxy [More Info ↑]
Speling [More Info ↑]
UniqueId [More Info ↑]
Usertrack [More Info ↑]
Version [More Info ↑]
Vhost Alias [More Info ↑]

Otros módulos

EAccelerator for PHP [More Info ↑]
IonCube Loader for PHP [More Info ↑]
Mod Bandwidth [More Info ↑]
Tomcat [More Info ↑]
Mod Mono [More Info ↑]
Mod Perl [More Info ↑]
Mod Security [More Info ↑]
Suhosin for PHP [More Info ↑]
SourceGuardian Loader for PHP [More Info ↑]
Zend Optimizer for PHP [More Info ↑]


Bcmath [More Info ↑]
Bz2 [More Info ↑]
CGI [More Info ↑]
Calendar [More Info ↑]
Concurrent DSO patch [More Info ↑]

Curl [More Info ↑]
CurlSSL [More Info ↑]
Curlwrappers [More Info ↑]
Dbase [More Info ↑]
Discard Path

Exif [More Info ↑]
FTP [More Info ↑]
Fastcgi
Force CGI Redirect [More Info ↑]
GD [More Info ↑]
Gettext [More Info ↑]
Iconv [More Info ↑]

Imap [More Info ↑]
MM [More Info ↑]
Magic Quotes [More Info ↑]
MailHeaders [More Info ↑]
Mbregex
Mbstring [More Info ↑]
Mcrypt [More Info ↑]
Mhash [More Info ↑]
Mime Magic [More Info ↑]
Mysql [More Info ↑]
Mysql of the system [More Info ↑]
MySQL "Improved" extension. [More Info ↑]
Openssl [More Info ↑]
PDO [More Info ↑]
PDO MySQL [More Info ↑]
POSIX [More Info ↑]
Path Info Check
Pear [More Info ↑]
PGsql [More Info ↑]
Pspell [More Info ↑]
SNMP [More Info ↑]
SOAP [More Info ↑]
SafeMode [More Info ↑]
Safe PHP CGI
Sockets [More Info ↑]
TTF (FreeType) [More Info ↑]
Tidy [More Info ↑]
Wddx [More Info ↑]
XSL [More Info ↑]
XmlRPC [More Info ↑]
Zend Multibyte
Zip [More Info ↑]
Zlib [More Info ↑]

Se que es un trayazo pero os agradecería la vida. gracias Gracias Gracias

Zuche
14/04/2008, 21:53
Hola chrimasa.. tus preguntas ya se basan en la administración a fondo de los sistemas/servicios. La respuesta tan solo depende del conocimiento y! del uso en general.

Por ejemplo:

¿De toda la lista que módulos instalaríais?
Depende el uso, ya que primero debes conocer el funcionamiento de cada modulo/libreria. En mi caso para "x" fin utilizo tan solo 5 modulos de Apache y unas pocas librerias PHP.
Esto también se relaciona con la seguridad, como se dice siempre "No pongas nada que no vayas a usar".


¿Que apache instalaríais?
Por estabilidad y seguridad se recomienda el Apache 1.3 ¿Por qué? pues porque es la versión más retocada, hasta la fecha sin bug's importantes. En cambio la 2.0/2.2 es estable pero aun asi sigue siendo un "bebe con crecimiento rápido" a comparado del 1.3 (ya maduro).


¿Que php?
Si desarrollas a fondo con al orientación a objetos, sqlite.. necesitas usar PHP5 sino el PHP4, ambos estables y van perfectamente con Apache 1.3 y 2..

Como dije antes.. depende mucho el uso en general que le des.. ejemplo: Hosting? o.. Personal?.

Saludos.

chrimasa
14/04/2008, 22:51
Es para uso de Hosting pero a nivel local.

Yo soy el encargado de la parte de dominios pero el tecnico que se encargaba del hosting nos abandono por problemas familiares y ahora me veo con una mano delante y una detras.

^Por ejemplo configurando WHMCS, he visto librarias necesarias como Curl, que tenia que activar pero no se que más hacer.

Me han hablando de eAccelerator que es conveniente pero no se ke mas...

chrimasa
16/04/2008, 14:11
Entonces, me recomendais compilar con Apache 1.3 antes que 2.0 ???

Hay alguna forma de averiguar que apache tienen alguna de las empresas de hosting?

Un saludo

icenrg
16/04/2008, 15:00
Hay alguna forma de averiguar que apache tienen alguna de las empresas de hosting?


Con cualquier herramienta de reporte de dns o similar puedes obtener el tipo de servidor. Por ejemplo en dnscolos.com pones el nombre de dominio y en la ultima linea tienes el tipo de servidor. No es 100% fiable ya que algunas empresas modifican ligeramente el apache y cambian el nombre del servidor, pero si es una buena orientación.
Espero te sirva de algo

josu
17/04/2008, 09:17
Entonces, me recomendais compilar con Apache 1.3 antes que 2.0 ???


Yo te recomiendo 2.0 ...

Si tienes una máquina con 1.3 y te funciona bien, pues no la cambies. Pero de eso a instalar versiones 1.3 hoy en día....



Hay alguna forma de averiguar que apache tienen alguna de las empresas de hosting?


Netcraft es tu amigo: http://news.netcraft.com/



Un saludo

Otro.

Josu.

chrimasa
19/04/2008, 12:50
A ver si me podeis decir una cosa.

¿Hay algún módulo que sea imprescindible para que una empresa de hosting funcione adecuadamente? ¿Algún modulo que tenga que estar SI o SI?

Un saludo

Power
21/04/2008, 19:14
Hola,

Yo no conozco mucho del tema, pero te puedo informar de los módulos de Apache que tengo cargados en un servidor dedicado con cPanel que tengo en otro proveedor:

mod_php5, mod_auth_passthrough, mod_log_bytes, mod_bwlimited, mod_gzip, mod_security, mod_frontpage, mod_ssl, mod_setenvif, mod_so, mod_unique_id, mod_headers, mod_expires, mod_proxy, mod_auth, mod_access, mod_rewrite, mod_alias, mod_userdir, mod_actions, mod_imap, mod_asis, mod_cgi, mod_dir, mod_autoindex, mod_include, mod_info, mod_status, mod_negotiation, mod_mime, mod_log_config, mod_env, http_core

Es Apache 2.0
Y no echo nada de menos.

Saludos